import { ComponentInterface } from '../../stencil-public-runtime';
import { Loggable, LogInstance } from '../../utils/log';
import { BalBreakpointObserver, BalBreakpoints } from '../../utils/breakpoints';
import { BalConfigObserver, BalConfigState } from '../../utils/config';
export declare class Logo implements ComponentInterface, Loggable, BalBreakpointObserver, BalConfigObserver {
    private animationItem;
    private animatedLogoElement;
    private animationFunction?;
    log: LogInstance;
    createLogger(log: LogInstance): void;
    el: HTMLElement;
    isTouch: boolean;
    doesConfigAllowAnimation: boolean;
    color: BalProps.BalLogoColor;
    size: BalProps.BalLogoSize;
    animated: boolean;
    animatedWatcher(): void;
    connectedCallback(): void;
    componentDidUpdate(): void;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    breakpointListener(breakpoints: BalBreakpoints): void;
    configChanged(state: BalConfigState): void;
    private get isAnimated();
    private resetAnimation;
    private loadAnimation;
    private destroyAnimation;
    render(): any;
}
